Bug 3470 - man page encodings
: man page encodings
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/synaptic)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-12 13:41 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-12 13:41:54
Есть предложение переместить русскоязычный перевод man synaptic.8 из
%_mandir/ru_RU.KOI8-R/man8/ в %_mandir/ru/man8/ (см. man-pages-ru) или сразу в
пакет man-pages-ru.
------- Comment #1 From 2004-01-12 16:38:19 -------
Раз уж это есть наиболее верное решение, то конечно же сделаю (поскольку я в
самом деле сомневался в правильности текущего расположения, сделал так по
примеру какого-то из пакетов).
Насчёт перемещения не уверен - в каких случаях это делается? Сейчас перевод
находится в SVN synaptic'а и наши обновления периодически отправляются туда.
------- Comment #2 From 2004-01-12 18:44:26 -------
При перемещении в %_mandir/ru решается проблема разницы в кодировках исходного
документа и текущей локали - это перекладывается на плечи man.
А что касается переноса в man-pages-ru - то это на Ваше усмотрение. Просто так
уж у нас (в ALT) сложилось, что переводы мануалов находятся не в пакетах к
самим
программам, которые описывают эти маны, а в одном пакете man-pages-ru.
------- Comment #3 From 2004-01-13 16:40:48 -------
Fixed in 0.47-alt2.
Переместил ман в правильный каталог. Пока оставил в этом пакете. Думаю, что
отдельный пакет манов имеет смысл для пакетов типа binutils/coreutils, а для
пакетов типа synaptic это не совсем оправдано. В этом есть свои плюсы и минусы,
останавливает только лень производить дополнительные телодвижения :) Хотя если
возмётесь поддерживать его в man-pages-ru, я не буду против ;-)
------- Comment #4 From 2004-01-14 10:45:55 -------
Я сам - сторонник включения переводов мануалов в основные пакеты с программами.